from tkinter import *
from random import randint
from tkinter.font import Font

def vide():

    '''
        effacement complet du canevas
    '''

    can.delete('all')
    dessin_grille()

def efface_case(ligne, colonne):

    '''
        Effacement à la position [ligne][colonne] de la grille
    '''

    if grille[ligne][colonne] != 0 : # y a-t-il un pion sur la case spécifiée ? ( sinon, on ne fait rien ! )
        old = can.find_closest(colonne*100+50, ligne*100+50) # recherche de l'élément le plus proche dans le canevas des coordonnées données
        can.delete(old) # effacement du pion
        can.create_rectangle(colonne*100,ligne*100, colonne*100+100, ligne*100+100, fill ='white') # remplacement par une case blanche

def affiche(ligne, colonne, valeur):

    '''
        Affichage à la position [ligne][colonne] de la grille
            valeur = -2 -> mine
            valeur = -1 -> drapeau
            valeur = 0 -> case grise
            valeur > 0 -> valeur
    '''
    old = can.find_closest(colonne*100+50, ligne*100+50) # recherche de l'élément le plus proche dans le canevas des coordonnées données
    can.delete(old) # effacement du pion
    can.create_rectangle(colonne*100,ligne*100, colonne*100+100, ligne*100+100, fill ='white') # remplacement par une case blanche


    if valeur == -2: # mine
        can.create_image(colonne*100,ligne*100, image = mine, anchor ='nw')
    elif valeur == -1 : # drapeau
        can.create_image(colonne*100,ligne*100, image = drapeau, anchor ='nw')
    elif valeur == 0 : # case vide
        can.create_rectangle(colonne*100,ligne*100, colonne*100+100, ligne*100+100, fill ='grey')
    else: # valeur
        can.create_text(colonne*100+30,ligne*100+20, font = font, text = str(valeur), anchor ='nw', fill ='blue'*(valeur==1)+'green'*(valeur==2)+'red'*(valeur==3)+'purple'*(valeur==4)+'black'*(valeur>5))

def dessin_grille():
    for i in range(8): # dessin plateau de jeu
        for j in range(10):
            can.create_rectangle(j*100,i*100, j*100+100, i*100+100, fill ='white')

#######################
# PROGRAMME PRINCIPAL #
#######################


grille = [[0 for i in range(10)] for j in range(8)] # liste de listes représentant le 'plateau de jeu'

def clic_gauche(event):

    ligne = event.y // 100 # n° de ligne
    colonne = event.x // 100 # n° de colonne







def clic_droit(event):

    ligne = event.y // 100 # n° de ligne
    colonne = event.x // 100 # n° de colonne











##############################
# FIN DU PROGRAMME PRINCIPAL #
##############################
fen = Tk()
fen.title('Démineur')

drapeau = BitmapImage(file ='drapeau.xbm', foreground='yellow')
mine = BitmapImage(file ='mine.xbm', foreground='black')

font = Font(size = -50)

can = Canvas(fen, width = 1000, height = 800, background='black')
can.pack()

can.bind('<Button-1>', clic_gauche)
can.bind('<Button-3>', clic_droit)

dessin_grille()

fen.mainloop()
